.TH RNDBG 1 "October 1994" "ISY Linkoping"
.SH NAME
rndbg \- random background on X11 display
.SH SYNOPSIS
.B rndbg
[
.B -xbm
.I name
|
.B -display
.I display
]
[
.I width
[
.I height
]
]
.SH DESCRIPTION
.B rndbg
creates a random black and white image and installs it as
background. The image is designed to be "neutral but not lifeless".
It consists of a rectangular bitmap that is replicated to fill up the
whole screen. The size of the rectangle can be changed using command line
arguments.
.PP
As an option, the image can be written on standard  output (in XBM format)
instead of installed as background.
.SH OPTIONS
.TP
.BI -xbm " name"
Write image in XBM format on standard input, instead of installing it
as background. The parameter
.I name
specifies the name used in the bitmap file.
.TP
.BI -display " display"
The display on which to install the background. By default, the
display name is taken from the environment variable DISPLAY.
.TP
.I width
The width in pixels of the replicated rectangle. The default value is 256.
.TP
.I height
The height in pixels of the replicated rectangle. By default, the height
is the same as the width (256).
.SH EXAMPLES
.LP
To install a random background of the default size:
.RS
.B example% rndbg
.RE
.PP
To create a random bitmap of size 20x30 named "background":
.RS
.B example% rndbg -xbm background 20 30 >background.xbm
.RE
.SH "SEE ALSO"
X(1), xsetroot(1)
.SH AUTHOR
Niclas Wiberg, Linkoping University, October 1994
